Prev Top Next

Name
KXL_PutImageImm
Synopsis

    KXL_PutImageImm -- The arbitrary rectangles of an image are drawn.

Description

    void KXL_PutImageImm(KXL_Image *img, Sint16 src_l, Sint16 src_t, Uint16 src_w, Uint16 src_h, Sint16 left, Sint16 top);

Arguments

img | Pointer of KXL_Image structure.
src_l | Left position of a source image.
src_t | Top position of a source image.
src_w | Width of a source image.
src_h | Height of a source image.
left | Left position which draws.
top | Top position which draws.

Return Value
Nothing.
Exsample

    sample.bmp

    #include <KXL.h>

    int main(void)
    {
      KXL_Image *img;

      KXL_CreateWindow(100, 100, "sample", 0);
      img = KXL_LoadBitmap("sample.bmp", 0);

      KXL_SetDrawColor(0x00, 0x00, 0xff);
      KXL_ClearFrameImm(0, 0, 100, 100);
      KXL_PutImage(img, 10, 10);
      KXL_PutImageImm(img, 8, 8, 16, 16, 50, 50);
      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_DeleteImage(img);
      KXL_DeleteWindow();
      return 0;
    }